## org.eclipse.emf.mapping.ecore2ecore.action
Class MapToEcoreActionDelegate

    java.lang.Object
      org.eclipse.ui.actions.ActionDelegate
          org.eclipse.emf.mapping.ecore2ecore.action.MapToEcoreActionDelegate

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2

    public class MapToEcoreActionDelegate

extends ActionDelegate

Constructor Summary
`MapToEcoreActionDelegate()`

Method Summary
`protected static Ecore2EcoreMappingRoot` `createMappingRoot(EPackage inputEPackage, EPackage outputEPackage)`
`protected IFile` `getFile(Resource resource)`
`protected EPackage` `getInputEPackage(IStructuredSelection structuredSelection)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class org.eclipse.ui.actions.ActionDelegate
`dispose, init, runWithEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapToEcoreActionDelegate

    public MapToEcoreActionDelegate()

Method Detail

### getInputEPackage

    protected EPackage getInputEPackage(IStructuredSelection structuredSelection)

### getFile

    protected IFile getFile(Resource resource)

### run

    public void run(IAction action)

  Specified by:
    `run` in interface `IActionDelegate`
  Overrides:
    `run` in class `ActionDelegate`

### createMappingRoot

    protected static Ecore2EcoreMappingRoot createMappingRoot(EPackage inputEPackage,
                                                              EPackage outputEPackage)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Overrides:
    `selectionChanged` in class `ActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.